Skip to content
Developer

SmartLockConnection

Smart home and automation7 EndpointsDataWarehouse / SmartLockConnection

Returns a list of smart lock connection entries.

GET/api/event/smart_lock_connection

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived
namestring
providerstring
modestring
bridgeHoststring
bridgePortstring
webClientIdstring
loqedLockIdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of SmartLockConnectionsarray<SmartLockConnection>

Show fields (18)
  • scan_webhook_tokenstring

    The token the provider authenticates its scan webhook requests with (Comydo: bearer token, basic auth password or "Auth-Key" header). The admin hands it to the provider.

  • scan_webhook_pathstring

    Path of the scan webhook of this connection's provider, relative to the API host.

  • scan_webhook_signing_secret_setboolean
  • idinteger

    Primary key of the smart lock connection. Internal ID.

  • providerstring

    Provider of the smart lock, for example LOQED or a bridge.

  • modestring

    Mode of the connection, for example bridge or web.

  • bridge_hoststring

    Host name of the bridge that talks to the lock.

  • bridge_portinteger

    Port of the bridge.

  • web_client_idstring

    Client ID for the web connection to the provider.

  • access_token_expires_atstring (date-time)

    Time the access token expires.

  • loqed_lock_idstring

    ID of the LOQED lock at the provider.

  • ha_instance_idstring

    Instance that offers its locks through this connection: the Home Assistant core uuid or the id of a Node-RED lock bridge or n8n lock trigger. The ha_* fields are shared by these providers.

  • ha_webhook_urlstring

    Webhook of the Home Assistant integration (or of a Node-RED instance in push mode) that receives the signed lock commands.

  • scan_device_idsstring

    Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "ha_webhook_url": "https://vynst.de",
    "name": "Beispiel",
    "scan_webhook_token": "string",
    "scan_webhook_path": "string",
    "scan_webhook_signing_secret_set": true,
    "provider": "string",
    "mode": "string",
    "bridge_host": "string",
    "bridge_port": 1
  }
]

Creates a new smart lock connection entry.

POST/api/event/smart_lock_connection

Request body application/json

  • dataSmartLockConnection2
    Show fields (8)
    • providerstring

      Provider of the smart lock, for example LOQED or a bridge.

    • modestring

      Mode of the connection, for example bridge or web.

    • bridge_hoststring

      Host name of the bridge that talks to the lock.

    • bridge_portinteger

      Port of the bridge.

    • web_client_idstring

      Client ID for the web connection to the provider.

    • loqed_lock_idstring

      ID of the LOQED lock at the provider.

    • scan_device_idsstring

      Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new SmartLockConnectionSmartLockConnection

Show fields (18)
  • scan_webhook_tokenstring

    The token the provider authenticates its scan webhook requests with (Comydo: bearer token, basic auth password or "Auth-Key" header). The admin hands it to the provider.

  • scan_webhook_pathstring

    Path of the scan webhook of this connection's provider, relative to the API host.

  • scan_webhook_signing_secret_setboolean
  • idinteger

    Primary key of the smart lock connection. Internal ID.

  • providerstring

    Provider of the smart lock, for example LOQED or a bridge.

  • modestring

    Mode of the connection, for example bridge or web.

  • bridge_hoststring

    Host name of the bridge that talks to the lock.

  • bridge_portinteger

    Port of the bridge.

  • web_client_idstring

    Client ID for the web connection to the provider.

  • access_token_expires_atstring (date-time)

    Time the access token expires.

  • loqed_lock_idstring

    ID of the LOQED lock at the provider.

  • ha_instance_idstring

    Instance that offers its locks through this connection: the Home Assistant core uuid or the id of a Node-RED lock bridge or n8n lock trigger. The ha_* fields are shared by these providers.

  • ha_webhook_urlstring

    Webhook of the Home Assistant integration (or of a Node-RED instance in push mode) that receives the signed lock commands.

  • scan_device_idsstring

    Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "provider": "string",
    "mode": "string",
    "bridge_host": "string",
    "bridge_port": 1,
    "web_client_id": "42",
    "loqed_lock_id": "42"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "ha_webhook_url": "https://vynst.de",
  "name": "Beispiel",
  "scan_webhook_token": "string",
  "scan_webhook_path": "string",
  "scan_webhook_signing_secret_set": true,
  "provider": "string",
  "mode": "string",
  "bridge_host": "string",
  "bridge_port": 1
}

Returns a single smart lock connection entry.

GET/api/event/smart_lock_connection/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single SmartLockConnectionSmartLockConnection

Show fields (18)
  • scan_webhook_tokenstring

    The token the provider authenticates its scan webhook requests with (Comydo: bearer token, basic auth password or "Auth-Key" header). The admin hands it to the provider.

  • scan_webhook_pathstring

    Path of the scan webhook of this connection's provider, relative to the API host.

  • scan_webhook_signing_secret_setboolean
  • idinteger

    Primary key of the smart lock connection. Internal ID.

  • providerstring

    Provider of the smart lock, for example LOQED or a bridge.

  • modestring

    Mode of the connection, for example bridge or web.

  • bridge_hoststring

    Host name of the bridge that talks to the lock.

  • bridge_portinteger

    Port of the bridge.

  • web_client_idstring

    Client ID for the web connection to the provider.

  • access_token_expires_atstring (date-time)

    Time the access token expires.

  • loqed_lock_idstring

    ID of the LOQED lock at the provider.

  • ha_instance_idstring

    Instance that offers its locks through this connection: the Home Assistant core uuid or the id of a Node-RED lock bridge or n8n lock trigger. The ha_* fields are shared by these providers.

  • ha_webhook_urlstring

    Webhook of the Home Assistant integration (or of a Node-RED instance in push mode) that receives the signed lock commands.

  • scan_device_idsstring

    Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "ha_webhook_url": "https://vynst.de",
  "name": "Beispiel",
  "scan_webhook_token": "string",
  "scan_webhook_path": "string",
  "scan_webhook_signing_secret_set": true,
  "provider": "string",
  "mode": "string",
  "bridge_host": "string",
  "bridge_port": 1
}

Updates an existing smart lock connection entry.

PUT/api/event/smart_lock_connection/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataSmartLockConnection2
    Show fields (8)
    • providerstring

      Provider of the smart lock, for example LOQED or a bridge.

    • modestring

      Mode of the connection, for example bridge or web.

    • bridge_hoststring

      Host name of the bridge that talks to the lock.

    • bridge_portinteger

      Port of the bridge.

    • web_client_idstring

      Client ID for the web connection to the provider.

    • loqed_lock_idstring

      ID of the LOQED lock at the provider.

    • scan_device_idsstring

      Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a SmartLockConnectionSmartLockConnection

Show fields (18)
  • scan_webhook_tokenstring

    The token the provider authenticates its scan webhook requests with (Comydo: bearer token, basic auth password or "Auth-Key" header). The admin hands it to the provider.

  • scan_webhook_pathstring

    Path of the scan webhook of this connection's provider, relative to the API host.

  • scan_webhook_signing_secret_setboolean
  • idinteger

    Primary key of the smart lock connection. Internal ID.

  • providerstring

    Provider of the smart lock, for example LOQED or a bridge.

  • modestring

    Mode of the connection, for example bridge or web.

  • bridge_hoststring

    Host name of the bridge that talks to the lock.

  • bridge_portinteger

    Port of the bridge.

  • web_client_idstring

    Client ID for the web connection to the provider.

  • access_token_expires_atstring (date-time)

    Time the access token expires.

  • loqed_lock_idstring

    ID of the LOQED lock at the provider.

  • ha_instance_idstring

    Instance that offers its locks through this connection: the Home Assistant core uuid or the id of a Node-RED lock bridge or n8n lock trigger. The ha_* fields are shared by these providers.

  • ha_webhook_urlstring

    Webhook of the Home Assistant integration (or of a Node-RED instance in push mode) that receives the signed lock commands.

  • scan_device_idsstring

    Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "provider": "string",
    "mode": "string",
    "bridge_host": "string",
    "bridge_port": 1,
    "web_client_id": "42",
    "loqed_lock_id": "42"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "ha_webhook_url": "https://vynst.de",
  "name": "Beispiel",
  "scan_webhook_token": "string",
  "scan_webhook_path": "string",
  "scan_webhook_signing_secret_set": true,
  "provider": "string",
  "mode": "string",
  "bridge_host": "string",
  "bridge_port": 1
}

Updates an existing smart lock connection entry.

PATCH/api/event/smart_lock_connection/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataSmartLockConnection2
    Show fields (8)
    • providerstring

      Provider of the smart lock, for example LOQED or a bridge.

    • modestring

      Mode of the connection, for example bridge or web.

    • bridge_hoststring

      Host name of the bridge that talks to the lock.

    • bridge_portinteger

      Port of the bridge.

    • web_client_idstring

      Client ID for the web connection to the provider.

    • loqed_lock_idstring

      ID of the LOQED lock at the provider.

    • scan_device_idsstring

      Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a SmartLockConnectionSmartLockConnection

Show fields (18)
  • scan_webhook_tokenstring

    The token the provider authenticates its scan webhook requests with (Comydo: bearer token, basic auth password or "Auth-Key" header). The admin hands it to the provider.

  • scan_webhook_pathstring

    Path of the scan webhook of this connection's provider, relative to the API host.

  • scan_webhook_signing_secret_setboolean
  • idinteger

    Primary key of the smart lock connection. Internal ID.

  • providerstring

    Provider of the smart lock, for example LOQED or a bridge.

  • modestring

    Mode of the connection, for example bridge or web.

  • bridge_hoststring

    Host name of the bridge that talks to the lock.

  • bridge_portinteger

    Port of the bridge.

  • web_client_idstring

    Client ID for the web connection to the provider.

  • access_token_expires_atstring (date-time)

    Time the access token expires.

  • loqed_lock_idstring

    ID of the LOQED lock at the provider.

  • ha_instance_idstring

    Instance that offers its locks through this connection: the Home Assistant core uuid or the id of a Node-RED lock bridge or n8n lock trigger. The ha_* fields are shared by these providers.

  • ha_webhook_urlstring

    Webhook of the Home Assistant integration (or of a Node-RED instance in push mode) that receives the signed lock commands.

  • scan_device_idsstring

    Ids of the scanners of a scan webhook connection (Comydo: 12 hex digits each), separated by comma, space or new line. Every id becomes one smart lock when the connection is synced.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "provider": "string",
    "mode": "string",
    "bridge_host": "string",
    "bridge_port": 1,
    "web_client_id": "42",
    "loqed_lock_id": "42"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "ha_webhook_url": "https://vynst.de",
  "name": "Beispiel",
  "scan_webhook_token": "string",
  "scan_webhook_path": "string",
  "scan_webhook_signing_secret_set": true,
  "provider": "string",
  "mode": "string",
  "bridge_host": "string",
  "bridge_port": 1
}

Starts the OAuth login with an external provider.

POST/api/event/smart_lock_connection/{identifier}/oauth_login

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection/42/oauth_login \
  --header 'x-iw-jwt-token: <TOKEN>'

Synchronizes the devices.

POST/api/event/smart_lock_connection/{identifier}/sync_devices

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/smart_lock_connection/42/sync_devices \
  --header 'x-iw-jwt-token: <TOKEN>'